

<form [formGroup]="form_student"  (ngSubmit)="onSubmit(formm.value)" class="form-horizontal">


  <div class="form-group row" [ngClass]="{'has-error': (!first_name.valid && first_name.touched), 'has-success': (first_name.valid && first_name.touched)}">
    <label for="first_name" class="col-sm-2 control-label" translate>First Name</label>

    <div class="col-sm-10">
      <input [formControl]="first_name" type="text" class="form-control" id="first_name"  placeholder="First Name">
    </div>
  </div>




  <div class="form-group row" [ngClass]="{'has-error': (!middle_name.valid && middle_name.touched), 'has-success': (middle_name.valid && middle_name.touched)}">
    <label for="middle_name" class="col-sm-2 control-label" translate>Middle Name</label>

    <div class="col-sm-10">
      <input [formControl]="middle_name" type="text" class="form-control" id="middle_name"  placeholder="Middle Name">
    </div>
  </div>




  <div class="form-group row" [ngClass]="{'has-error': (!last_name.valid && last_name.touched), 'has-success': (last_name.valid && last_name.touched)}">
    <label for="last_name" class="col-sm-2 control-label" translate>Last Name</label>

    <div class="col-sm-10">
      <input [formControl]="last_name" type="text" class="form-control" id="last_name"  placeholder="Last Name">
    </div>
  </div>



  <div class="form-group row" [ngClass]="{'has-error': (!roll_no.valid && roll_no.touched), 'has-success': (roll_no.valid && roll_no.touched)}">
    <label for="last_name" class="col-sm-2 control-label" translate>Roll no</label>

    <div class="col-sm-10">
      <input [formControl]="roll_no" type="text" class="form-control" id="roll_no"  placeholder="Roll No">
    </div>
  </div>




  <div class="form-group row" [ngClass]="{'has-error': (!batch.valid && batch.touched), 'has-success': (batch.valid && batch.touched)}">
    <label for="batch" class="col-sm-2 control-label" translate>Batch</label>

      <div class="col-sm-10">
        <select
          class="form-control"
          required
          [formControl]="batch"
          name="batch"
          label="batch"
          placeholder="Select a dropdown value"
          [(ngModel)]="batch" id="batch">

      <option [value]="1">2013-2017-UG</option>


      <option [value]="2">2014-2018-UG</option>


      <option  [value]="3">2015-2019-UG</option>


      <option [value]="4">2016-2020-UG</option>




      <option  [value]="5">2016-2018-PG</option>


      <option [value]="6">2017-2019-PG</option>




      <option  [value]="7">2016-2018-Ph.D</option>


      <option [value]="8">2017-2019-Ph.D</option>




      </select>
      <!--<span class="help-block sub-little-text" *ngIf="errorbool">{{this.error.batch}}</span>-->


      </div>
    </div>



  <div class="form-group row">
    <div class="offset-sm-2 col-sm-10">
      <button [disabled]="!form_student.valid" type="submit" class="btn btn-default btn-auth" translate>submit</button>
    </div>
  </div>
</form>


    <!--<h1>BIO DETAILS</h1>-->
<!--<div *ngIf="StaffAccount&&!submitted">-->
    <!--<form (submit)="sub()">-->
      <!--<div class="col-sm-10">-->
        <!--<label class="col-sm-6 ">First Name:</label>-->
      <!--</div>-->
      <!--<div class="col-sm-10">-->
        <!--<input type="text" class="form-control" required  [(ngModel)]="first_name" name="first_name" placeholder="First Name" />-->
        <!--<span class="help-block sub-little-text" *ngIf="errorbool">{{this.error.first_name}}</span>-->

      <!--</div>-->
      <!--<br>-->


            <!--<div class="col-sm-10">-->
        <!--<label class="col-sm-6 ">Middle Name:</label>-->
      <!--</div>-->
      <!--<div class="col-sm-10">-->
        <!--<input type="text" class="form-control"  required name="middle_name" [(ngModel)]="middle_name" placeholder="Can be blank" />-->
        <!--<span class="help-block sub-little-text" *ngIf="errorbool">{{this.error.middle_name}}</span>-->

      <!--</div>-->
      <!--<br>-->


            <!--<div class="col-sm-10">-->
        <!--<label class="col-sm-6 ">Last Name</label>-->
      <!--</div>-->
      <!--<div class="col-sm-10">-->
        <!--<input type="text" class="form-control"  required [(ngModel)]="last_name" name="last_name" placeholder="Surname or Initials" />-->
        <!--<span class="help-block sub-little-text" *ngIf="errorbool">{{this.error.last_name}}</span>-->

      <!--</div>-->


      <!--<br>-->

      <!--<div class="col-sm-6 ">-->

        <!--<label >Gender:</label>-->
      <!--</div>-->
      <!--<div class="col-sm-10 row">-->
        <!--<div class="col-md-4">-->
          <!--<label class="radio-inline custom-radio nowrap">-->
            <!--<input [(ngModel)]="gender" required  name="inlineRadioOptions" type="radio" value="M">-->
            <!--<span >Male</span>-->
          <!--</label>-->
        <!--</div>-->
        <!--<div class="col-md-4">-->

          <!--<label class="radio-inline custom-radio nowrap">-->
            <!--<input [(ngModel)]="gender" name="inlineRadioOptions" type="radio" value="F">-->
            <!--<span >Female</span>-->
          <!--</label>-->
        <!--</div>-->
      <!--</div>-->
      <!--<br>-->

      <!--<br>-->


      <!--<div class="col-sm-10">-->
        <!--<label class="col-sm-6 ">Designation:</label>-->
      <!--</div>-->
      <!--<div class="col-sm-10">-->
        <!--<select class="form-control"  required [(ngModel)]="designation" name="designation">-->
            <!--<option  [ngValue]="select" disabled>select designation     </option>-->

                 <!--<option value="Principal">Principal     </option>-->


                 <!--<option value="Professor">Professor     </option>-->


                 <!--<option value="Associate Professor">Associate Professor     </option>-->


                 <!--<option value="Assistant Professor">Assistant Professor     </option>-->


                 <!--<option value="Network Admin">Network Admin     </option>-->


                 <!--<option value="Hostel Admin">Hostel Admin     </option>-->


                 <!--<option value="Alumni Staff">Alumni Staff     </option>-->

        <!--</select>-->
        <!--<span class="help-block sub-little-text" *ngIf="errorbool">{{this.error.designation}}</span>-->
      <!--</div>-->
      <!--<br>-->


            <!--<div class="col-sm-10">-->
        <!--<label class="col-sm-6 ">DOB:</label>-->
      <!--</div>-->
      <!--<div class="col-sm-10">-->
        <!--<input type="date" class="form-control" name="dob"  required [(ngModel)]="dob" placeholder="dob" />-->
        <!--<span class="help-block sub-little-text" *ngIf="errorbool">{{this.error.dob}}</span>-->

      <!--</div>-->


      <!--<br>-->
      <!--<div class="col-sm-10">-->
        <!--<label class="col-sm-6 ">Degree:</label>-->
      <!--</div>-->
      <!--<div class="col-sm-10">-->
        <!--<input type="text" class="form-control" name="degree"   required [(ngModel)]="degree" placeholder="Degree" />-->
        <!--<span class="help-block sub-little-text" *ngIf="errorbool">{{this.error.degree}}</span>-->

      <!--</div>-->


      <!--<br>-->
      <!--<div class="col-sm-10">-->
        <!--<label class="col-sm-6 ">Specialization:</label>-->
      <!--</div>-->
      <!--<div class="col-sm-10">-->
        <!--<input type="text" class="form-control"  required name="specialization" [(ngModel)]="specialization" placeholder="Specialization" />-->
        <!--<span class="help-block sub-little-text" *ngIf="errorbool">{{this.error.specialization}}</span>-->

      <!--</div>-->

      <!--<br>-->
      <!--<div class="col-sm-10">-->
        <!--<label class="col-sm-6 ">Department:</label>-->

      <!--</div>-->
      <!--<div >-->
        <!--<div class="col-sm-10">-->
  <!--<select class="form-control"  required [(ngModel)]="department" name="department">-->
            <!--<option  [ngValue]="select" disabled>select department     </option>-->

            <!--<option value="1">CSE</option>-->


            <!--<option value="2">IT</option>-->


            <!--<option  value="3">MECH</option>-->


            <!--<option value="4">CIVIL</option>-->


            <!--<option value="5">IBT</option>-->


            <!--<option value="6">EEE</option>-->


            <!--<option value="7">ECE</option>-->


            <!--<option value="8">EIE</option>-->

            <!--<option value="9">PRODUCTION</option>-->
  <!--</select>-->
          <!--<span class="help-block sub-little-text" *ngIf="errorbool">{{this.error.department}}</span>-->


        <!--</div>-->

      <!--</div>-->

      <!--<br>-->
      <!--<div class="col-sm-10">-->
        <!--<label class="col-sm-6 ">Phone Number:</label>-->
      <!--</div>-->
      <!--<div class="col-sm-10">-->
        <!--<input type="number" class="form-control" name="phone_number" [(ngModel)]="phone_number" placeholder="Mobile number here" />-->
        <!--<span class="help-block sub-little-text" *ngIf="errorbool">{{this.error.phone_number}}</span>-->

      <!--</div>-->


      <!--<br>-->
      <!--<div class="col-sm-10">-->
        <!--<label class="col-sm-6 ">Permanent Address:</label>-->
      <!--</div>-->
      <!--<div class="col-sm-10">-->
         <!--<textarea name="permanent_address" class=form-control placeholder="Home address" [(ngModel)]="permanent_address" rows="10" cols="30">-->
              <!--{{this.permanent_address}}-->

        <!--</textarea>        &lt;!&ndash;<input type="text" class="form-control" name="permanent_address" [(ngModel)]="permanent_address" permanent_address="permanent_address" /> &ndash;&gt;-->
        <!--<span class="help-block sub-little-text" *ngIf="errorbool">{{this.error.permanent_address}}</span>-->

      <!--</div>-->
      <!--<div class="col-sm-10">-->
        <!--<label class="col-sm-6 ">Qualification:</label>-->
      <!--</div>-->
      <!--<div class="col-sm-10 ">-->
        <!--<select class="form-control "   required [(ngModel)]= "qualification"  name="qualification">-->
            <!--<option  [ngValue]="select" disabled>select qualification     </option>-->

            <!--<option  value="1">BE     </option>-->


            <!--<option  value="2">ME     </option>-->


            <!--<option  value="3">PhD     </option>-->


        <!--</select>-->
        <!--<span class="help-block sub-little-text" *ngIf="errorbool">{{this.error.qualification}}</span>-->
      <!--</div>-->

      <!--<br>-->

      <!--<label class="col-sm-6 ">Temporary Address:</label>-->

    <!--<div class="col-sm-10">-->

      <!--<textarea name="temporary_address" class=form-control placeholder="Hostel/Room/Home address" [(ngModel)]="temporary_address" rows="10" cols="30">-->
              <!--{{this.temporary_address}}-->

        <!--</textarea>-->
      <!--<span class="help-block sub-little-text" *ngIf="errorbool">{{this.error.temporary_address}}</span>-->

    <!--</div>-->



      <!--<div class="form-group row">-->
        <!--<div class="offset-sm-2 col-sm-10">-->
          <!--<button type="submit" class="btn btn-default btn-auth">Submit</button>-->
        <!--</div>-->
      <!--</div>-->
    <!--</form>-->

<!--</div>-->



    <!--<div *ngIf="!StaffAccount">-->
      <!--<div *ngIf="!submitted">-->
      <!--<form (ngSubmit)="sub()">-->


        <!--<div class="col-sm-10">-->
          <!--<label class="col-sm-6 ">Roll no:</label>-->
        <!--</div>-->
        <!--<div class="col-sm-10">-->
          <!--<input type="text" class="form-control" [(ngModel)]="roll_no" name="roll_no" placeholder="Roll no" />-->
          <!--<span class="help-block sub-little-text" *ngIf="errorbool">{{this.error.roll_no}}</span>-->

        <!--</div>-->

        <!--<br>-->



        <!--<div class="col-sm-10">-->
          <!--<label class="col-sm-6 ">First Name:</label>-->
        <!--</div>-->
        <!--<div class="col-sm-10">-->
          <!--<input type="text" class="form-control" [(ngModel)]="first_name" name="first_name" placeholder="First Name" />-->
          <!--<span class="help-block sub-little-text" *ngIf="errorbool">{{this.error.first_name}}</span>-->

        <!--</div>-->

        <!--<br>-->

        <!--<div class="col-sm-10">-->
          <!--<label class="col-sm-6 ">Middle Name:</label>-->
        <!--</div>-->
        <!--<div class="col-sm-10">-->
          <!--<input type="text" class="form-control" name="middle_name" [(ngModel)]="middle_name" placeholder="Can be blank" />-->
          <!--<span class="help-block sub-little-text" *ngIf="errorbool">{{this.error.middle_name}}</span>-->
        <!--</div>-->

        <!--<br>-->

        <!--<div class="col-sm-10">-->
          <!--<label class="col-sm-6 ">Last Name</label>-->
        <!--</div>-->
        <!--<div class="col-sm-10">-->
          <!--<input type="text" class="form-control" [(ngModel)]="last_name" name="last_name" placeholder="Surname or Initials" />-->
          <!--<span class="help-block sub-little-text" *ngIf="errorbool">{{this.error.last_name}}</span>-->

        <!--</div>-->

        <!--<br>-->



        <!--<div class="col-sm-6 ">-->

          <!--<label>Gender:</label>-->
        <!--</div>-->
        <!--<div class="col-sm-10 row">-->
          <!--<div class="col-md-4">-->
            <!--<label class="radio-inline custom-radio nowrap">-->
              <!--<input required="required" [(ngModel)]="gender" name="inlineRadioOptions" type="radio" value="M">-->
              <!--<span >Male</span>-->
            <!--</label>-->
          <!--</div>-->
          <!--<div class="col-md-4">-->

            <!--<label class="radio-inline custom-radio nowrap">-->
              <!--<input [(ngModel)]="gender" name="inlineRadioOptions" type="radio" value="F">-->
              <!--<span >Female</span>-->
            <!--</label>-->
          <!--</div>-->
        <!--</div>-->
        <!--<br>-->





<!--<br>-->



        <!--<div class="col-sm-10">-->
          <!--<label class="col-sm-6 ">DOB:</label>-->
        <!--</div>-->
        <!--<div class="col-sm-10">-->
          <!--<input type="date" class="form-control" name="dob" [(ngModel)]="dob" placeholder="dob" />-->
          <!--<span class="help-block sub-little-text" *ngIf="errorbool">{{this.error.dob}}</span>-->

        <!--</div>-->



        <!--<br>-->

        <!--<div class="col-sm-10">-->
          <!--<label class="col-sm-6 ">Father's name:</label>-->
        <!--</div>-->
        <!--<div class="col-sm-10">-->
          <!--<input type="text" class="form-control" name="father_name" [(ngModel)]="father_name" placeholder="Father\'s Full name (initials at back)" />-->
          <!--<span class="help-block sub-little-text" *ngIf="errorbool">{{this.error.father_name}}</span>-->

        <!--</div>-->


        <!--<br>-->


        <!--<div class="col-sm-10">-->
          <!--<label class="col-sm-6 ">Father's occupation:</label>-->
        <!--</div>-->
        <!--<div class="col-sm-10">-->
          <!--<input type="text" class="form-control" name="father_occupation" [(ngModel)]="father_occupation" placeholder="Father or Guardian occupation" />-->
          <!--<span class="help-block sub-little-text" *ngIf="errorbool">{{this.error.father_occupation}}</span>-->
        <!--</div>-->


        <!--<br>-->


        <!--<div class="col-sm-10">-->
          <!--<label class="col-sm-6 ">Father's annual income:</label>-->
        <!--</div>-->
        <!--<div class="col-sm-10">-->
          <!--<input type="number" class="form-control" name="father_annual_income" [(ngModel)]="father_annual_income" placeholder="Annual income of Father or Guardian" />-->
          <!--<span class="help-block sub-little-text" *ngIf="errorbool">{{this.error.father_annual_income}}</span>-->
        <!--</div>-->


        <!--<br>-->

        <!--<div class="col-sm-10">-->
          <!--<label class="col-sm-6 ">Mother's name:</label>-->
        <!--</div>-->
        <!--<div class="col-sm-10">-->
          <!--<input type="text" class="form-control" name="mother_name" [(ngModel)]="mother_name" placeholder="Mother\'s Full name (initials at back)" />-->
          <!--<span class="help-block sub-little-text" *ngIf="errorbool">{{this.error.mother_name}}</span>-->

        <!--</div>-->


        <!--<br>-->

        <!--<div class="col-sm-10">-->
          <!--<label class="col-sm-6 ">Mother's occupation:</label>-->
        <!--</div>-->
        <!--<div class="col-sm-10">-->
          <!--<input type="text" class="form-control" name="mother_occupation" [(ngModel)]="mother_occupation" placeholder="Mother or Guardian occupation" />-->
          <!--<span class="help-block sub-little-text" *ngIf="errorbool">{{this.error.mother_occupation}}</span>-->
        <!--</div>-->


        <!--<br>-->

        <!--<div class="col-sm-10">-->
          <!--<label class="col-sm-6 ">Mother's annual income:</label>-->
        <!--</div>-->
        <!--<div class="col-sm-10">-->
          <!--<input type="number" class="form-control" name="mother_annual_income" [(ngModel)]="mother_annual_income" placeholder="Annual income of Mother or Guardian" />-->
          <!--<span class="help-block sub-little-text" *ngIf="errorbool">{{this.error.mother_annual_income}}</span>-->
        <!--</div>-->


<!--<br>-->

        <!--<div class="col-sm-10">-->
          <!--<label class="col-sm-6 ">Date of joining :</label>-->
        <!--</div>-->
        <!--<div class="col-sm-10">-->
          <!--<input type="date" class="form-control" name="date_of_joining" [(ngModel)]="date_of_joining" placeholder="yyyy-mm-dd" />-->
          <!--<span class="help-block sub-little-text" *ngIf="errorbool">{{this.error.date_of_joining}}</span>-->

        <!--</div>-->
        <!--<br>-->



        <!--<div class="col-sm-10">-->
          <!--<label class="col-sm-6 ">Hosteller/Dayscholar:</label>-->

        <!--</div>-->

        <!--<div class="col-sm-10 ">-->
          <!--<select class="form-control "   required="required" [(ngModel)]= "hosteller_or_dayscholar"  name="hosteller_or_dayscholar">-->
            <!--<option  [ngValue]="select" disabled>select Hosteller or Dayscholar   </option>-->

            <!--<option  value="hosteller">Hosteller     </option>-->


            <!--<option  value="dayscholar">DayScholar     </option>-->


          <!--</select>-->
          <!--<span class="help-block sub-little-text" *ngIf="errorbool">{{this.error.hosteller_or_dayscholar}}</span>-->
        <!--</div>-->

        <!--<br>-->

        <!--<div class="col-sm-10">-->
          <!--<label class="col-sm-6 ">Entry type:</label>-->

        <!--</div>-->
        <!--<div class="col-sm-10 ">-->
          <!--<select class="form-control "  required  [(ngModel)]= "entry_type"  name="entry_type">-->
            <!--<option  [ngValue]="select" disabled >select Entry type     </option>-->

            <!--<option  value="regular">Regular     </option>-->


            <!--<option  value="lateral">Lateral     </option>-->


            <!--<option  value="transfer">Transfer     </option>-->

          <!--</select>-->
          <!--<span class="help-block sub-little-text" *ngIf="errorbool">{{this.error.entry_type}}</span>-->
        <!--</div>-->



        <!--<br>-->

        <!--<div class="col-sm-10">-->
          <!--<label class="col-sm-6 ">Community:</label>-->

        <!--</div>-->

        <!--<div class="col-sm-10 ">-->
          <!--<select required class="form-control " [(ngModel)]= "community"  name="community">-->

            <!--<option  [ngValue]="select" disabled>select community     </option>-->

            <!--<option  Value="OC">OC     </option>-->


            <!--<option  value="BC">BC     </option>-->


            <!--<option  value="BCM">BCM     </option>-->


            <!--<option  value="MBC">MBC     </option>-->


            <!--<option  value="SC">SC     </option>-->


            <!--<option  value="ST">ST     </option>-->

          <!--</select>-->
          <!--<span class="help-block sub-little-text" *ngIf="errorbool">{{this.error.community}}</span>-->
        <!--</div>-->


        <!--<div class="col-sm-10">-->
          <!--<label class="col-sm-6 ">Programme:</label>-->

        <!--</div>-->

        <!--<div class="col-sm-10 ">-->
          <!--<select class="form-control"  required="required"  [(ngModel)]= "programme"  name="community">-->
            <!--<option  [ngValue]="select" disabled>select programme     </option>-->

            <!--<option  value="1">UG     </option>-->


            <!--<option  value="2">PG     </option>-->


            <!--<option  value="3">PhD   </option>-->



          <!--</select>-->
          <!--<span class="help-block sub-little-text" *ngIf="errorbool">{{this.error.programme}}</span>-->
        <!--</div>-->


        <!--<br>-->


        <!--<div class="col-sm-10">-->
          <!--<label class="col-sm-6 ">Department Section:</label>-->

        <!--</div>-->
        <!--<div >-->
          <!--<div class="col-sm-10">-->
            <!--<select class="form-control"  required="required" [(ngModel)]="department_section" name="department_section">-->

         <!--<option  [ngValue]="select" disabled>select Department-section     </option>-->
              <!--<option *ngFor="let each of depsec" value={{each.id}}>-->
                <!--{{each.ds}}-->
              <!--</option>-->

            <!--</select>-->
            <!--<span class="help-block sub-little-text" *ngIf="errorbool">{{this.error.department_section}}</span>-->
          <!--</div>-->

        <!--</div>-->


        <!--<br>-->

        <!--<div class="col-sm-10">-->
          <!--<label class="col-sm-6 ">Batch:</label>-->

        <!--</div>-->
        <!--<div >-->
          <!--<div class="col-sm-10">-->
            <!--<select required class="form-control" [(ngModel)]="batch" name="batch">-->

         <!--<option  [ngValue]="select" disabled >select batch     </option>-->

              <!--<option value="1">2013-2017-UG</option>-->


              <!--<option value="2">2014-2018-UG</option>-->


              <!--<option  value="3">2015-2019-UG</option>-->


              <!--<option value="4">2016-2020-UG</option>-->




              <!--<option  value="5">2016-2018-PG</option>-->


              <!--<option value="6">2017-2019-PG</option>-->




              <!--<option  value="7">2016-2018-Ph.D</option>-->


              <!--<option value="8">2017-2019-Ph.D</option>-->




            <!--</select>-->
            <!--<span class="help-block sub-little-text" *ngIf="errorbool">{{this.error.batch}}</span>-->


          <!--</div>-->

        <!--</div>-->


        <!--<br>-->



        <!--<div class="col-sm-10">-->
          <!--<label class="col-sm-6 ">Caste:</label>-->
        <!--</div>-->
        <!--<div class="col-sm-10">-->
          <!--<input type="text" class="form-control" name="caste"  required [(ngModel)]="caste" placeholder=" caste" />-->
          <!--<span class="help-block sub-little-text" *ngIf="errorbool">{{this.error.caste}}</span>-->

        <!--</div>-->
        <!--<br>-->




        <!--<br>-->


        <!--<div class="col-sm-10">-->
          <!--<label class="col-sm-6 ">Aadhar Number:</label>-->
        <!--</div>-->
        <!--<div class="col-sm-10">-->
          <!--<input type="number" class="form-control" name="aadhaar_number" [(ngModel)]="aadhaar_number" placeholder="Apply soon if you dont have one" />-->
          <!--<span class="help-block sub-little-text" *ngIf="errorbool">{{this.error.aadhaar_number}}</span>-->

        <!--</div>-->
        <!--<br>-->




        <!--<div class="col-sm-10">-->
          <!--<label class="col-sm-6 ">Phone Number:</label>-->
        <!--</div>-->
        <!--<div class="col-sm-10">-->
          <!--<input type="number" class="form-control"  required name="phone_number" [(ngModel)]="phone_number" placeholder="Your mobile number" />-->
          <!--<span class="help-block sub-little-text" *ngIf="errorbool">{{this.error.phone_number}}</span>-->

        <!--</div>-->
        <!--<br>-->


        <!--<div class="col-sm-10">-->
          <!--<label class="col-sm-6 ">Permanent Address:</label>-->
        <!--</div>-->
        <!--<div class="col-sm-10">-->
           <!--<textarea name="permanent_address"  required class=form-control placeholder="Home address" [(ngModel)]="permanent_address" rows="10" cols="30">-->
              <!--{{this.permanent_address}}-->
        <!--</textarea>-->
          <!--<span class="help-block sub-little-text" *ngIf="errorbool">{{this.error.permanent_address}}</span>-->

        <!--</div>-->
        <!--<br>-->

        <!--<label class="col-sm-6 ">Temporary Address:</label>-->



        <!--<div class="col-sm-10">-->
         <!--<textarea name="temporary_address" required class=form-control placeholder="Hostel/Room/Home address" [(ngModel)]="temporary_address" rows="10" cols="30">-->
              <!--{{this.temporary_address}}-->

        <!--</textarea>-->
          <!--<span class="help-block sub-little-text" *ngIf="errorbool">{{this.error.temporary_address}}</span>-->

        <!--</div>-->

	<!--<br>-->


<!--<br>-->




        <!--<div class="form-group row">-->
          <!--<div class="offset-sm-2 col-sm-10">-->
            <!--<button  type="submit" class="btn btn-default btn-auth">Submit</button>-->
          <!--</div>-->
        <!--</div>-->
      <!--</form>-->


<!--<form  (ngSubmit)="onSubmit()" #heroForm="ngForm">-->

<!--<div class=" col-sm-10">-->
<!--<label for="name">Name </label>-->
<!--<input type="text" class="form-control" id="name"-->
       <!--required-->
       <!--[(ngModel)]="hero.name" name="name"-->
       <!--#name="ngModel">-->
<!--<div [hidden]="name.invalid ||( name.dirty && name.touched )"-->
     <!--class="alert alert-danger">-->
  <!--Name is required-->
<!--</div>-->
<!--</div>-->

<!--<div class="offset-sm-2 col-sm-10">-->
<!--<button type="submit" class="btn btn-success" [disabled]="!heroForm.form.valid">Submit</button>-->
<!--</div>-->
<!--</form>-->


    <!--</div>-->
	<!--<br>-->
    <!--<div *ngIf="errorbool">-->
    <!--<div *ngIf="error.user">-->
      <!--Already created <a href="bio">click</a> to edit form-->
    <!--</div>-->
<!--</div>-->
    <!--</div>-->
